# dataproduct-common
Common definitions to be used in other data products

Generated documentation for the project is published [here](https://alfa-demo.github.io/dataproduct-common/). 

### Package deployment (automatically done on commit/push):
```
mvn deploy
```

### Refresh cache of dependencies:
```
mvn -Dmdep.useRepositoryLayout=true clean dependency:copy-dependencies -U
```
Commit the updated zip files.

---

Content:
```
.alfa
.depscache
.devcontainer
.github
.gitignore
.vscode
README.md
model
pom.xml
```


## Notes:
- pom.xml needs to be edited to specify the groupId and artifactId.
- .alfa/settings.xml may need editing if dependencies need other repos.

## Actions
When ready to start Github Action builds, rename `build-java-and-docs.yaml.txt` to `build-java-and-docs.yaml`.

## Pages
Remember to enable github pages for the new project

## Environment variables
The following variables need to be set on codespaces and actions under security for the project.

- ALFA_LICENSE
- ALFA_REPO_PASSWORD
- ALFA_REPO_USER

